# MCS_Connect_Additional Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_Connect_Additional:

List of all members.

## Public Member Functions

| MCS_Connect_Additional (unsigned tag=103, TagClass tagClass=ApplicationTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_calledConnectId
MCS_DataPriority | m_dataPriority

## Constructor & Destructor Documentation

MCS_Connect_Additional::MCS_Connect_Additional | ( | unsigned | tag = `103`,
|  | TagClass | tagClass = `ApplicationTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_Connect_Additional::GetDataLength | ( |  | ) | const

PBoolean MCS_Connect_Additional::Decode | ( | PASN_Stream & | strm | ) |

void MCS_Connect_Additional::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_Connect_Additional::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_Connect_Additional::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_Connect_Additional::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer MCS_Connect_Additional::m_calledConnectId

MCS_DataPriority MCS_Connect_Additional::m_dataPriority

The documentation for this class was generated from the following file:

- mcs.h